Package org.eclipse.jface.fieldassist

# Class AutoCompleteField

java.lang.Object
org.eclipse.jface.fieldassist.AutoCompleteField

public class AutoCompleteField extends Object
AutoCompleteField is a class which attempts to auto-complete a user's keystrokes by activating a popup that filters a list of proposals according to the content typed by the user.

Since:
  3.3
See Also:
  - `ContentProposalAdapter`
  - `SimpleContentProposalProvider`

## Constructor Summary

Constructors
Constructor
Description
`AutoCompleteField(Control control, IControlContentAdapter controlContentAdapter, String... proposals)`
Construct an AutoComplete field on the specified control, whose completions are characterized by the specified array of Strings.

## Method Summary

Modifier and Type
Method
Description
`void`
`setProposals(String... proposals)`
Set the Strings to be used as content proposals.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AutoCompleteField

public AutoCompleteField(Control control, IControlContentAdapter controlContentAdapter, String... proposals)
Construct an AutoComplete field on the specified control, whose completions are characterized by the specified array of Strings.

Parameters:
  `control` - the control for which autocomplete is desired. May not be `null`.
  `controlContentAdapter` - the `IControlContentAdapter` used to obtain and update the control's contents. May not be `null`.
  `proposals` - the array of Strings representing valid content proposals for the field.

## Method Details

### setProposals

public void setProposals(String... proposals)
Set the Strings to be used as content proposals.

Parameters:
  `proposals` - the array of Strings to be used as proposals.